Name:           chromium-bsu
Version:        0.9.14
Release:        6%{?dist}
Summary:        Fast paced, arcade-style, top-scrolling space shooter
Group:          Amusements/Games
License:        Artistic clarified
URL:            http://chromium-bsu.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        chromium-bsu-README.license
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils SDL-devel alsa-lib-devel libvorbis-devel
BuildRequires:  libpng-devel libglpng-devel quesoglc-devel
BuildRequires:  openal-soft-devel freealut-devel >= 1.1.0-10
Requires:       hicolor-icon-theme

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel. This is an OpenGL-based shoot 'em up game with fine graphics.


%prep
%setup -q
cp -a %{SOURCE1} README.license
iconv -f iso8859-1 -t utf8 NEWS -o NEWS.utf8
touch -r NEWS.utf8 NEWS
mv NEWS.utf8 NEWS


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cp -a AUTHORS README README.license COPYING NEWS TODO \
  $RPM_BUILD_ROOT%{_docdir}/%{name}
# Put icon in the new fdo location
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_mandir}/man6/%{name}.6.gz


%changelog
* Fri Oct  9 2009 Hans de Goede <hdegoede@redhat.com> 0.9.14-6
- Switch to quesoglc instead of ftgl (glc is the upstream default)
- This fixes chromium-bsu not finding its font, as quesoglc properly uses
  fontconfig instead of using a hardcoded path to the font (#526995)

* Sun Aug 16 2009 Hans de Goede <hdegoede@redhat.com> 0.9.14-5
- Switch to openal-soft

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 27 2009 Hans de Goede <hdegoede@redhat.com> 0.9.14-3
- Fix build errors (#502191)

* Fri May 22 2009 Hans de Goede <hdegoede@redhat.com> 0.9.14-2
- Minor packaging cleanups from review (#502191)

* Sun May 17 2009 Hans de Goede <hdegoede@redhat.com> 0.9.14-1
- Initial Fedora package
